%define	desktop_vendor planetccrma
%define pkgver 0.4.0
#define pkgrel 

Summary: Jack and ALSA Perceptual Audio Analyser
Name: japa
Version: %{pkgver}%{?pkgrel:.%{pkgrel}}
Release: 1%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://www.kokkinizita.net/linuxaudio/
Source0: http://www.kokkinizita.net/linuxaudio/downloads/japa-%{pkgver}%{?pkgrel:-%{pkgrel}}.tar.bz2
Source1: japa.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: hicolor-icon-theme
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: desktop-file-utils fftw-devel
BuildRequires: clalsadrv-devel clthreads-devel clxclient-devel
BuildRequires: alsa-lib-devel jack-audio-connection-kit-devel
%if 0%{?fedora} >= 5 || 0%{?rhel} >= 5
BuildRequires: libX11-devel libXft-devel
%else
BuildRequires: XFree86-devel
%endif

%description
Japa (JACK and ALSA Perceptual Analyser), is a 'perceptual' or
'psychoacoustic' audio spectrum analyser.

In contrast to JAAA, this is more an acoustical or musical tool than a
purely technical one. Possible uses include spectrum monitoring while
mixing or mastering, evaluation of ambient noise, and (using pink
noise), equalisation of PA systems.

%prep
%setup -q -n japa

%build
# do not build for p4 arch
%{__perl} -p -i -e "s|-march=pentium4||" Makefile

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_bindir}
%{__install} -m 0755 japa %{buildroot}%{_bindir}/

BASE="Application AudioVideo Audio"
XTRA="X-Jack X-Audio_Tools"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  `for c in ${BASE} ${XTRA} ; do echo "--add-category $c " ; done` \
  %{SOURCE1}

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL README
%{_bindir}/*
%{_datadir}/applications/%{desktop_vendor}-japa.desktop

%changelog
* Wed Oct 29 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.0-1
- updated to version 0.4.0

* Fri Feb  1 2008 Arnaud Gomes-do-Vale <Arnaud.Gomes@ircam.fr>
- built on CentOS

* Wed Nov 14 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- updated desktop categories

* Thu Apr 19 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.1-1
- updated to 0.2.1

* Mon Apr  2 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.0-2
- do not build for p4/i686, just plain i386

* Sun Apr  1 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.0-1
- updated to 0.2.0

* Sun Nov 19 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.8.2-1
- updated to version 0.1.8.2
- spec file tweaks, use separate desktop file

* Thu May 25 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.8-2
- include the README in the doc section

* Sat May 13 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.8-1
- updated to 0.1.8

* Fri Mar 31 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- proper build dependencies for fc5

* Wed Jan 25 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.2-1
- initial build
- start the app in Jack mode
